<template>
  <div class="um-maintenance mt-[180px] md:mt-[120px]">
    <div class="text-center">
      <h1 class="uppercase text-[2rem] md:text-[4.5rem] text-blue-700">
        {{ $t("under_maintenance") }}
      </h1>
      <div
        class="py-5 text-gray-600 grid gap-2 place-content-center px:0 md:px-40 lg:px-20 xl:px-20 2xl:px-56 3xl:px-96"
      >
        <p
          class="text-[1rem] md:text-[1.2rem] leading-normal px-0 md:px-20 lg:px-56 xl:px-80"
        >
          {{
            $t(
              "the_website_is_currently_undergoing_scheduled_maintenance_we_should_be_back_shortly"
            )
          }}
        </p>
      </div>
    </div>
  </div>
  <img
    class="absolute bottom-0 w-full md:hidden block -z-10"
    :src="getAssetImage('assets/theme/common/um/mobileBg.png')"
  />
  <div class="flex justify-center invisible md:visible">
    <img
      class="w-[700px]"
      :src="getAssetImage('assets/theme/common/um/img_main_um_tool.png')"
      alt=""
    />
  </div>
  <img
    class="absolute bottom-0 w-full h-2/3 -z-10 invisible md:visible"
    :src="getAssetImage('assets/theme/common/um/img_bg_um_page.png')"
  />
</template>
<script setup lang="ts">
import commonHelper from "@/utils/commonHelper";

const { getAssetImage } = commonHelper;
</script>
<style>
body:has(div.um-maintenance) {
  background: #fff;
}
</style>
